Streichen der Unterstützung für LEPTON?

Themen aus der aktuellen Entwicklung - hier bitte auch Vorschläge und Wünsche posten, welchen Themen wir uns annehmen sollten :)
Antworten
Benutzeravatar
shadowcat
Administrator
Beiträge: 4019
Registriert: Di 5. Feb 2013, 10:36
Kontaktdaten:

Streichen der Unterstützung für LEPTON?

Beitrag von shadowcat » Mi 26. Aug 2015, 11:06

Ich überlege gerade, die Unterstützung für LEPTON CMS vollständig zu streichen. Was das bedeuten würde:
  • Keine JavaScript Variable LEPTON_URL mehr (JavaScripts, die diese Variable benutzen, funktionieren dann möglicherweise nicht mehr)
  • Module, die ausschließlich für LEPTON erstellt wurden, lassen sich vermutlich nicht mehr installieren
Letzteres "vermutlich", weil es davon abhängt, ob die "alten" WB-Variablen noch vorhanden sind oder nicht.

Grund für die Überlegung ist, daß es meines Wissens weniger reine LEPTON-Module gibt, als es reine BC-Module gibt, und sich LEPTON ebenfalls weiter entwickelt, so daß wir die Kompatiblität langfristig sowieso nicht gewährleisten können.

Hat irgendjemand ein Problem damit?
My software never has bugs, it just develops random features.
BC1: PHP 5.5.11 (cli), mySQL 5.6.16 with 'strict' enabled, Apache 2.4.9
BC2: PHP 7.2.7, mariaDB 10.2.13, no Apache

Benutzeravatar
Morpheus
Beiträge: 906
Registriert: Do 8. Aug 2013, 10:49
Kontaktdaten:

Re: Streichen der Unterstützung für LEPTON?

Beitrag von Morpheus » Mi 26. Aug 2015, 12:48

Code: Alles auswählen

Hat irgendjemand ein Problem damit?
NEIN!!!

Das ist ein wichtiger und richtiger Weg !!!!!!!
Keiner ist unnütz, er kann immer noch als schlechtes Beispiel dienen!

Benutzeravatar
creativecat
Beiträge: 812
Registriert: Mi 6. Feb 2013, 12:41
Kontaktdaten:

Re: Streichen der Unterstützung für LEPTON?

Beitrag von creativecat » Mi 26. Aug 2015, 19:37

Jap. Zopf abschneiden!

Benutzeravatar
shadowcat
Administrator
Beiträge: 4019
Registriert: Di 5. Feb 2013, 10:36
Kontaktdaten:

Re: Streichen der Unterstützung für LEPTON?

Beitrag von shadowcat » Do 27. Aug 2015, 09:39

Dann schreib ich das auf den Zettel für 1.3 bzw. 2.0. Vor dem 1.2 Release laß ich das lieber.
My software never has bugs, it just develops random features.
BC1: PHP 5.5.11 (cli), mySQL 5.6.16 with 'strict' enabled, Apache 2.4.9
BC2: PHP 7.2.7, mariaDB 10.2.13, no Apache

Snoopy
Beiträge: 79
Registriert: Di 30. Jun 2015, 14:02

Re: Streichen der Unterstützung für LEPTON?

Beitrag von Snoopy » Fr 28. Aug 2015, 23:07

Auch meine Stimme hast Du. :lol:
Ciao,
Snoopy

Benutzeravatar
MK70
Beiträge: 176
Registriert: Sa 21. Dez 2013, 15:38
Wohnort: 47809 Krefeld
Kontaktdaten:

Re: Streichen der Unterstützung für LEPTON?

Beitrag von MK70 » Di 1. Sep 2015, 11:48

Dafür... ;)
Auf Dauer kann man dieses Doppelgemoppel nicht vernünftig unterstützen... ;)

Ich habe noch eine Lepton Installation laufen. Allerdings auch nur, bis mein Kunde sagt, dass er mal was Neues möchte... ;)
Mit creativen Grüßen
MK

Antworten